# To illustrate the notion of scope,
# let's devine a len variable in the "global" scope
len <- 5

rec_area <- function(len, wid) {
  # Body of the function
  # In the scope of the function body,
  # the len variable should have the value passed as argument
  cat("In the function body, len is:", len, "\n")
  cat("(And wid is:", wid, ")\n")
  cat("Computing the corresponding area...\n")
  # Last expression in the function body determines the return value
  len * wid
}

# len should not have changed after we defined our function
if (len != 5) {
  print("Something unexpected happened!")
}

area <- rec_area(4, 3)

# len should still not have changed after we executed our function
if (len != 5) {
  print("Something unexpected happened!")
}


cat("area is:", area)